actions: []
api_documentation: http://docs.ros.org/en/noetic/api/etsi_its_mcm_uulm_msgs/html
authors: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers <guido.kueppers@rwth-aachen.de>,\
  \ Lennart Reiher <lennart.reiher@rwth-aachen.de>"
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- ros_environment
- std_msgs
depends_on:
- etsi_its_mcm_uulm_conversion
description: ROS messages for draft MCM (TS) version of UULM
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__etsi_its_messages__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__etsi_its_messages__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers\
  \ <guido.kueppers@rwth-aachen.de>, Lennart Reiher <lennart.reiher@rwth-aachen.de>"
msgs:
- ManeuverResponse
- LongitudinalWaypoint
- TrajectoryPointDeltaTime
- ManeuverID
- ManeuverConstraints
- AdviceResponse
- Altitude
- LongitudinalManeuverWaypointContainer
- ReferencePositionWithConfidence
- GenerationDeltaTime
- SuggestedManeuverContainer
- DesiredRoute
- BasicContainer
- RoadUserType
- PlannedTrajectory
- AdviceUpdateID
- Waypoint
- AltitudeValue
- AltitudeConfidence
- ManeuverContainer
- SpeedValue
- StationId
- YieldToRoadUserContainer
- WaypointDeltaTime
- RoadUserState
- TrajectoryPoint
- CartesianCoordinateLarge
- McmParameters
- SuggestedManeuver
- ParticipatingRoadUserIDContainer
- RoadUserLength
- ConfirmationRequiredFlag
- TrafficParticipantType
- MCM
- TrajectoryStartDeltaTime
- SemiAxisLength
- RoadUserContainer
- Longitude
- Wgs84AngleValue
- ManeuverType
- ManeuverCoordinationMessage
- ItsPduHeader
- TerminationStatus
- PositionConfidenceEllipse
- MessageId
- HeadingValue
- ManeuverParameters
- RoadUserWidth
- Polygon
- TrajectoryPointContainer
- Latitude
- OrdinalNumber1B
- ParticipatingRoadUserIndex
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__etsi_its_mcm_uulm_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__etsi_its_mcm_uulm_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__etsi_its_mcm_uulm_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__etsi_its_mcm_uulm_msgs__ubuntu_focal_arm64__binary
repo_name: etsi_its_messages
repo_url: ''
srvs: []
timestamp: 1747562661.4689934
url: ''
vcs: git
vcs_uri: https://github.com/ika-rwth-aachen/etsi_its_messages.git
vcs_version: main
